curl --request GET \
--url https://public-api.stora.co/2025-09/credit_notes \
--header 'Authorization: Bearer <token>'import requests
url = "https://public-api.stora.co/2025-09/credit_notes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://public-api.stora.co/2025-09/credit_notes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://public-api.stora.co/2025-09/credit_notes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://public-api.stora.co/2025-09/credit_notes"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://public-api.stora.co/2025-09/credit_notes")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://public-api.stora.co/2025-09/credit_notes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"credit_notes": [
{
"id": "cred_kk5h6lfm6ro15lon",
"contact": {
"id": "con_195h6kfm9ro15lof"
},
"created_at": "2025-02-22T14:41:00Z",
"invoice": {
"id": "inv_195h6kfm9ro15lof"
},
"line_items": [
{
"accounting_code": "ACC-CODE",
"amount": {
"amount": 1099,
"currency": "GBP",
"formatted": "£10.99"
},
"description": "T-shirt",
"discount_total": {
"amount": 0,
"currency": "GBP",
"formatted": "£0.00"
},
"price": {
"amount": 1099,
"currency": "GBP",
"formatted": "£10.99"
},
"quantity": 1,
"tax": {
"amount": 0,
"currency": "GBP",
"formatted": "£0.00"
},
"type": "invoice_line_item"
}
],
"number": "C9E0C52C-0036-CN-5",
"reason": "other",
"refunded": {
"amount": 0,
"currency": "GBP",
"formatted": "£0.00"
},
"site": {
"id": "site_14b419f1096013f1"
},
"status": "issued",
"subtotal": {
"amount": 1099,
"currency": "GBP",
"formatted": "£10.99"
},
"total": {
"amount": 1099,
"currency": "GBP",
"formatted": "£10.99"
},
"type": "pre_payment"
}
],
"meta": {
"request_id": "01563646-58c1-4607-8fe0-cae3e92c4477",
"curies": [
{
"name": "bo",
"href": "https://app.stora.test{rel}",
"templated": true,
"title": "Backoffice"
},
{
"name": "sf",
"href": "https://acme.stora.test{rel}",
"templated": true,
"title": "Storefront"
}
],
"pagination": {
"count": 1,
"last": 1,
"limit": 50,
"next": null,
"page": 1,
"pages": 1,
"prev": null
}
}
}List all Credit Notes
Retrieve a list of all credit notes.
Required authorization scope: public.credit_note:read
curl --request GET \
--url https://public-api.stora.co/2025-09/credit_notes \
--header 'Authorization: Bearer <token>'import requests
url = "https://public-api.stora.co/2025-09/credit_notes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://public-api.stora.co/2025-09/credit_notes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://public-api.stora.co/2025-09/credit_notes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://public-api.stora.co/2025-09/credit_notes"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://public-api.stora.co/2025-09/credit_notes")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://public-api.stora.co/2025-09/credit_notes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"credit_notes": [
{
"id": "cred_kk5h6lfm6ro15lon",
"contact": {
"id": "con_195h6kfm9ro15lof"
},
"created_at": "2025-02-22T14:41:00Z",
"invoice": {
"id": "inv_195h6kfm9ro15lof"
},
"line_items": [
{
"accounting_code": "ACC-CODE",
"amount": {
"amount": 1099,
"currency": "GBP",
"formatted": "£10.99"
},
"description": "T-shirt",
"discount_total": {
"amount": 0,
"currency": "GBP",
"formatted": "£0.00"
},
"price": {
"amount": 1099,
"currency": "GBP",
"formatted": "£10.99"
},
"quantity": 1,
"tax": {
"amount": 0,
"currency": "GBP",
"formatted": "£0.00"
},
"type": "invoice_line_item"
}
],
"number": "C9E0C52C-0036-CN-5",
"reason": "other",
"refunded": {
"amount": 0,
"currency": "GBP",
"formatted": "£0.00"
},
"site": {
"id": "site_14b419f1096013f1"
},
"status": "issued",
"subtotal": {
"amount": 1099,
"currency": "GBP",
"formatted": "£10.99"
},
"total": {
"amount": 1099,
"currency": "GBP",
"formatted": "£10.99"
},
"type": "pre_payment"
}
],
"meta": {
"request_id": "01563646-58c1-4607-8fe0-cae3e92c4477",
"curies": [
{
"name": "bo",
"href": "https://app.stora.test{rel}",
"templated": true,
"title": "Backoffice"
},
{
"name": "sf",
"href": "https://acme.stora.test{rel}",
"templated": true,
"title": "Storefront"
}
],
"pagination": {
"count": 1,
"last": 1,
"limit": 50,
"next": null,
"page": 1,
"pages": 1,
"prev": null
}
}
}Authorizations
Bearer Token necessary to use API
Query Parameters
Sorting by attribute. Default created_at
created_at, updated_at Sorting by ASC or DESC direction. Default DESC
ASC, DESC Pagination: Page number
x >= 1Pagination: Limit number of items per page.
1 <= x <= 100Filter by Contact IDs. Supports multiple values separated by a comma.
Filter by Site IDs. Supports multiple values separated by a comma.
Filter by Invoice IDs. Supports multiple values separated by a comma.
This endpoint supports expandable responses. For more, see the documentation page.
Filter by status. Supports multiple values separated by a comma.
issued, void Filters results to created after (including given date) the given ISO 8601 timestamp (e.g., 2025-01-12T15:30:00Z).
Filters results to created before (excluding given date) the given ISO 8601 timestamp (e.g., 2025-01-12T15:30:00Z).
Filters results to updated after (including given date) the given ISO 8601 timestamp (e.g., 2025-01-12T15:30:00Z).
Filters results to updated before (excluding given date) the given ISO 8601 timestamp (e.g., 2025-01-12T15:30:00Z).
Was this page helpful?